Subject: Re: bug#26815: [PATCH v4 3/3] vm: Add UEFI loader to disk images.

From: [email-masked] (Ludovic Courtès)
Date: Fri, 19 May 2017 23:21:01 +0200

Marius Bakke <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Marius Bakke <[email-masked]> skribis:
>>
>>> Here is a start on UEFI documentation update. Not sure if it's okay to
>>> hijack the lightweight desktop template, or if it's better to have an
>>> example closer to the (GRUB Configuration) section.
>>
>> I think it’s OK.
>>
>>> From 9db5b8acb017b8f283d36d09835f947879be4e30 Mon Sep 17 00:00:00 2001
>>> From: Marius Bakke <[email-masked]>
>>> Date: Thu, 18 May 2017 19:24:36 +0200
>>> Subject: [PATCH] doc: Update GRUB EFI instructions.
>>>
>>> * doc/guix.texi (USB Stick Installation): Mention UEFI.
>>> (Preparing for Installation): Add note about EFI System Partition.
>>> (Proceeding with the Installation): Mention the GRUB-EFI package.
>>> (GRUB Configuration): Likewise.
>>> (Using the Configuration System): Hijack lightweight desktop to include UEFI.
>>> * gnu/system/examples/lightweight-desktop.tmpl: Adjust native EFI configuration.
>>
>> Great!  Minor suggestions:
>
> [...]
>
> Thanks again for the excellent feedback. I did an installation by
> "naively" following the manual and noticed that it does not mention
> mounting other partitions before `guix system init`. So, I added it.

Wonderful, thanks for testing the installation procedure!

So modulo the Guile-SSH bug, we should be all set for the release…

Ludo’.